//---------------------------------------------------------------------------
#ifndef DetectedTagsH
#define DetectedTagsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "HideButton.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include "AbNumEdit.hpp"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TDetectedRFIDTags : public TForm
{
__published:	// IDE-managed Components
	TPanel *ControlPanel;
	THideButton *HideButton;
	TImage *Copyright;
	TLabel *Description;
	TPopupMenu *TagsPopupMenu;
	TMenuItem *Cut;
	TMenuItem *Copy;
	TMenuItem *Paste;
	TMenuItem *Undo;
	TMenuItem *SelectAll;
	TPageControl *TagPageControl;
	TTabSheet *DataTabSheet;
	TTabSheet *UIDTabSheet;
	TPanel *HeadingTagPanel;
	TLabel *Tag_Label;
	TLabel *EngineData_Label;
	TRichEdit *TagsDetectedList;
	TPanel *CounterPanel;
	TLabel *TagCountLabel;
	TLabel *UniqueTagCountLabel;
	TLabel *Label3;
	TAbNumEdit *TagCount;
	TAbNumEdit *UniqueTagCount;
	TAbNumEdit *TagSubCount;
	TButton *ClearButton;
	TButton *CopyButton;
	TPanel *HeadingUIDPanel;
	TLabel *Label1;
	TRichEdit *UIDTagsDetectedList;
	TPanel *CounterPanel4;
	TLabel *Label4;
	TLabel *Label5;
	TAbNumEdit *UIDTagCount;
	TAbNumEdit *UIDUniqueTagCount;
	TButton *UIDClearButton;
	TButton *UIDCopyButton;
	TAbNumEdit *RespCount;
	TLabel *RespLabel;
	TMenuItem *MoreInformation1;
	void __fastcall HideButtonClick(TObject *Sender);
	void __fastcall CopyButtonClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall ClearButtonClick(TObject *Sender);
	void __fastcall CopyrightClick(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall FormDeactivate(TObject *Sender);
	void __fastcall EngineData_LabelClick(TObject *Sender);
	void __fastcall Tag_LabelClick(TObject *Sender);
	void __fastcall TagsDetectedListMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
	void __fastcall TagsDetectedListKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall TagsDetectedListKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall TagsDetectedListKeyPress(TObject *Sender, char &Key);
	void __fastcall CutClick(TObject *Sender);
	void __fastcall CopyClick(TObject *Sender);
	void __fastcall PasteClick(TObject *Sender);
	void __fastcall UndoClick(TObject *Sender);
	void __fastcall SelectAllClick(TObject *Sender);
	void __fastcall UIDClearButtonClick(TObject *Sender);
	void __fastcall UIDCopyButtonClick(TObject *Sender);
	void __fastcall MoreInformation1Click(TObject *Sender);
private:	// User declarations
    TStringList * TagPacketStringList, * UIDPacketStringList;
    bool LocalTransparencyOverride;

public:		// User declarations
	__fastcall TDetectedRFIDTags(TComponent* Owner);
	__fastcall ~TDetectedRFIDTags(void);
	void __fastcall Add(String Tag);
	void __fastcall AddUID(String UID);
	String __fastcall LookUpTagPacket(String UID);
};
//---------------------------------------------------------------------------
extern PACKAGE TDetectedRFIDTags *DetectedRFIDTags;
//---------------------------------------------------------------------------
#endif
